"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.apply = exports.Config = exports.name = void 0;
const koishi_1 = require("koishi");
const Api_1 = __importDefault(require("./Api"));
exports.name = 'xiaoai-morningnews';
exports.Config = koishi_1.Schema.object({});
function apply(ctx) {
    // write your plugin here
    ctx.command("xiaoaimorningnews")
        .action(async ({}) => {
        console.log("获取小爱早报");
        let res = await Api_1.default.GetXiaoAiZaoBao(ctx);
        if (res.isSuccess) {
            console.log("获取小爱早报成功");
            return `[CQ:record,file=${res.mp3url}]]`;
        }
        else {
            console.log("获取小爱早报失败");
            return res.error;
        }
    });
}
exports.apply = apply;
